@echo off

rem Error hadling
:check1
if not exist _SC_s01.wav goto check2
echo Fixing crash...
if exist sstss01.wav del sstss01.wav

:check2
if not exist _SC_rk10.wav goto stage1
if exist ssttrk10.wav del ssttrk10.wav

:stage1
if not exist its_reinf.wav goto error
if not exist its_mus.wav goto error

:backup
rem Backing up SST files
if exist sstss01.wav move sstss01.wav _SC_s01.wav >nul
if exist ssttrk10.wav move ssttrk10.wav _SC_rk10.wav >nul

:setup
rem Moving in SC's files
copy its_reinf.wav sstss01.wav >nul
copy its_mus.wav ssttrk10.wav >nul

:go
echo Launching map...
duke3d.exe -map its.map
if exist sstss01.wav del sstss01.wav >nul
if exist ssttrk10.wav del ssttrk10.wav >nul
move _SC_s01.wav sstss01.wav >nul
move _SC_rk10.wav Ssttrk10.wav >nul
goto exit

:error
echo Data files could not be located, exiting...
goto exit


:exit